AltSportsData

Get Jai Alai event odds

Fetch Jai Alai event, match and set odds

GET
/api/v1/public/events/jaialai/{id}/odds

Authorization

X-API-KEY
X-API-KEY<token>

In: header

Path Parameters

id*string

Jai Alai Event ID

Response Body

application/json

curl -X GET "https://loading/api/v1/public/events/jaialai/7fc93e49-63af-4c0a-ab76-1a09a2463eb1/odds"
{
  "eventWinner": {
    "groupId": 1,
    "publicId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0",
    "moneyLine": {
      "marketId": 1,
      "status": "ACTIVE",
      "selection": "[]"
    }
  },
  "matchWinner": {
    "groupId": 1,
    "publicId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0",
    "moneyLine": {
      "marketId": 1,
      "status": "ACTIVE",
      "selection": "[]"
    },
    "spread": [
      {
        "marketId": 1,
        "status": "ACTIVE",
        "selection": "[]"
      }
    ],
    "total": [
      {
        "marketId": 22,
        "status": "ACTIVE",
        "selection": [
          {
            "probability": 42.75,
            "settlement": "LOSER",
            "odds": 2.34,
            "sets": 2.5,
            "homeLineup": "Stan/Manny",
            "awayLineup": "Correa/Ben",
            "type": "OVER",
            "outcomeId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0"
          }
        ]
      }
    ]
  },
  "sets": [
    {
      "id": "5dd20800-64a4-4a61-8a52-c775c9caeaa0",
      "groupId": 1,
      "publicId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0",
      "name": "S1",
      "moneyLine": {
        "marketId": 1,
        "status": "ACTIVE",
        "selection": "[]"
      },
      "spread": [
        {
          "marketId": 1,
          "status": "ACTIVE",
          "selection": "[]"
        }
      ],
      "total": [
        {
          "marketId": 22,
          "status": "ACTIVE",
          "selection": [
            {
              "probability": 42.75,
              "settlement": "LOSER",
              "odds": 2.34,
              "sets": 2.5,
              "homeLineup": "Stan/Manny",
              "awayLineup": "Correa/Ben",
              "type": "OVER",
              "outcomeId": "5dd20800-64a4-4a61-8a52-c775c9caeaa0"
            }
          ]
        }
      ]
    }
  ],
  "futures": {
    "groupId": 1,
    "type": "WINNER",
    "moneyLine": [
      {
        "marketId": 1,
        "status": "ACTIVE",
        "selection": "[]"
      }
    ]
  }
}